/***************************************************************************
                   Signal Function Header ( Signals.h )
                -----------------------------------------

	begin      : 2013/01/22
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/01/20 - 1st dadamin
	email      : svc1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __SIGNAL_FUNCTION_H__
#define __SIGNAL_FUNCTION_H__

typedef void (*signal_handler_t)(int);

extern void SetSighandler(int signum, signal_handler_t handler, int flag);

extern void SetIgnoreSignal(bool isDaemon);

extern void SetSIGCHLD(signal_handler_t handler);

extern void SetSIGTERM(bool isDaemon, signal_handler_t handler);

#endif // __SIGNAL_FUNCTION_H__
